scala.annotation

# elidable

#### object elidable

This useless appearing code was necessary to allow people to use named constants for the elidable annotation. This is what it takes to convince the compiler to fold the constants: otherwise when it's time to check an elision level it's staring at a tree like

    (Select(Level, Select(FINEST, Apply(intValue, Nil))))

instead of the number `300`.

Source
  elidable.scala
Since

  2.8

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. elidable
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final val ALL: Int(-2147483648)

   The levels `ALL` and `OFF` are confusing in this context because the sentiment being expressed when using the annotation is at cross purposes with the one being expressed via `-Xelide-below`.

   The levels `ALL` and `OFF` are confusing in this context because the sentiment being expressed when using the annotation is at cross purposes with the one being expressed via `-Xelide-below`. This confusion reaches its zenith at level `OFF`, where the annotation means never elide this method but `-Xelide-below OFF` is how you would say elide everything possible.

   With no simple remedy at hand, the issue is now at least documented, and aliases `MAXIMUM` and `MINIMUM` are offered.

5. #### final val ASSERTION: Int(2000)

6. #### final val CONFIG: Int(700)

7. #### final val FINE: Int(500)

8. #### final val FINER: Int(400)

9. #### final val FINEST: Int(300)

10. #### final val INFO: Int(800)

11. #### final val MAXIMUM: Int(2147483647)

12. #### final val MINIMUM: Int(-2147483648)

13. #### final val OFF: Int(2147483647)

14. #### final val SEVERE: Int(1000)

15. #### final val WARNING: Int(900)

16. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

17. #### val byName: Map[String, Int]

18. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped